#
# Conditional build:
%bcond_without	tests		# do not perform "make test"

%define	pdir	Module
%define	pnam	Find
%include	/usr/lib/rpm/macros.perl
Summary:	Module::Find - Find and use installed modules in a (sub)category
Summary(pl.UTF-8):	Module::Find - wyszukiwanie i używanie modułów w (pod)kategorii
Name:		perl-Module-Find
Version:	0.13
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	28a11699901c2b07795ad59827d6ee66
URL:		http://search.cpan.org/dist/Module-Find/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Pod >= 1.14
BuildRequires:	perl-Test-Pod-Coverage >= 1.04
BuildRequires:	perl-Test-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Find lets you find and use modules in categories. This can be
very useful for auto-detecting driver or plugin modules. You can
differentiate between looking in the category itself or in all
subcategories.

%description -l pl.UTF-8
Module::Find pozwala odnaleźć i używać moduly w kategoriach. Może to
być bardzo przydatne do automatycznego wykrywania modułów sterowników
lub wtyczek. Można rozróżnić pomiędzy szukaniem w ramach samej
kategorii lub we wszystkich podkategoriach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Module/Find.pm
%{_mandir}/man3/Module::Find.3pm*
%changelog
* Sat Jan 09 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Module-Find.git;a=log;h=master

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> 9fb410a
- updated to 0.13

* Tue Dec 02 2014 Elan Ruusamäe <glen@delfi.ee> 5bfba7f
- up to 0.12, perl 5.20 compat

* Sun Mar 06 2011 Jakub Bogusz <qboosh@pld-linux.org> cf1d826
- updated to 0.10

* Thu Sep 10 2009 amateja <amateja@pld-linux.org> 4d62139
- updated to 0.08

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> 6b2cd01
- updated to 0.06

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e719919
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> edf85d7
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 09d3d3f
- updated to 0.05

* Wed Oct 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 4f7bbba
- pl

* Tue Oct 11 2005 migo <migo@pld-linux.org> 53ed26f
- initial revisions (big help from pldcpan.pl)

